jQuery.noConflict();
jQuery(document).ready(function ($) {
// Search toggle.
jQuery( '.search-toggle' ).on( 'click.smartblog', function( event ) {
	var that    = jQuery( this ),
		wrapper = jQuery( '#search-container' ),
		container = that.find( 'a' );

	that.toggleClass( 'active' );
	wrapper.toggleClass( 'hide' );

	if ( that.hasClass( 'active' ) ) {
		container.attr( 'aria-expanded', 'true' );
	} else {
		container.attr( 'aria-expanded', 'false' );
	}

	if ( that.is( '.active' ) || jQuery( '.search-toggle .screen-reader-text' )[0] === event.target ) {
		wrapper.find( '.search-field' ).focus();
	}
	
});
});

function smartblog_show_twice_adv(twice,textid) {
	
	if(document.getElementById(twice).checked) {
		document.getElementById(textid).style.display = 'block';
	} else {
		document.getElementById(textid).style.display = 'none';
	}
}

function smartblog_social_add_tfields(name,ilname,sname) {
	
	var SocialTextDiv = jQuery(document.createElement('div')).attr("class", 'SocialTextDiv' + social_counter);
	SocialTextDiv.html('<p><label>Social Link '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+name+'[]" id="textbox' + social_counter + '" value="" /></p>');
	SocialTextDiv.append('<p><label>Social Icon '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+ilname+'[]" id="textbox' + social_counter + '" value="" ></p>');
	SocialTextDiv.append('<p><label>Social Class '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+sname+'[]" id="textbox' + social_counter + '" value="" ></p>');
	SocialTextDiv.appendTo(".social_tGroup");
	social_counter++;
}

function social_remove_tfields() {
	if(social_counter-1==1)
	{
		alert("you need one textbox required.");
		return false;
	}
	social_counter--;
	jQuery(".SocialTextDiv" + social_counter).remove();
}

function show_hide_divs(newsletter_provider,feedburner_id,mailchimp_id,feedblitz_id,aweber_id)
{
	if(newsletter_provider == 'feedburner')
	{
		jQuery('#'+feedburner_id).show('slow');
		jQuery('#'+mailchimp_id).hide('slow');
		jQuery('#'+feedblitz_id).hide('slow');
		jQuery('#'+aweber_id).hide('slow');
	}else if(newsletter_provider == 'mailchimp')
	{
		jQuery('#'+mailchimp_id).show('slow');
		jQuery('#'+feedburner_id).hide('slow');
		jQuery('#'+feedblitz_id).hide('slow');
		jQuery('#'+aweber_id).hide('slow');
	}else if(newsletter_provider == 'feedblitz')
	{
		jQuery('#'+feedblitz_id).show('slow');
		jQuery('#'+mailchimp_id).hide('slow');
		jQuery('#'+feedburner_id).hide('slow');
		jQuery('#'+aweber_id).hide('slow');
	}else if(newsletter_provider == 'aweber')
	{
		jQuery('#'+aweber_id).show('slow');
		jQuery('#'+feedblitz_id).hide('slow');
		jQuery('#'+mailchimp_id).hide('slow');
		jQuery('#'+feedburner_id).hide('slow');
	}
}